> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneofnone.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim reward grant



## OpenAPI

````yaml post /v1/rewards/grants/{token}/claim
openapi: 3.1.0
info:
  title: One of None API
  version: 1.0.0
  description: >-
    The One of None API manages product collections, registrations, short URLs,
    team operations, and rewards used by storefront integrations including
    Shopify discounts and redemption flows.
servers:
  - url: https://api.oneofnone.io
security:
  - ApiKeyAuth: []
paths:
  /v1/rewards/grants/{token}/claim:
    post:
      summary: Claim reward grant
      parameters:
        - schema:
            type: string
            minLength: 16
            maxLength: 200
          required: true
          name: token
          in: path
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClaimRewardGrantResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErrorResponse'
        '410':
          description: Grant expired, already claimed, or not claimable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    ClaimRewardGrantResponse:
      type: object
      properties:
        grantId:
          type: string
          format: uuid
        rewardId:
          type: string
          format: uuid
        discountCode:
          type:
            - string
            - 'null'
        codeType:
          type: string
          enum:
            - automatic
            - global_code
            - unique_codes
        valueType:
          type: string
          enum:
            - percentage
            - fixed_amount
            - free_shipping
        value:
          type: integer
        scope:
          type: string
          enum:
            - sitewide
            - collection
            - product
            - variant
        externalIds:
          type: array
          items:
            $ref: '#/components/schemas/ClaimRewardGrantExternalId'
      required:
        - grantId
        - rewardId
        - discountCode
        - codeType
        - valueType
        - value
        - scope
        - externalIds
      additionalProperties: false
    GenericErrorResponse:
      type: object
      properties:
        message:
          type: string
        code:
          type: string
        details:
          type: object
          additionalProperties: {}
      required:
        - message
        - code
      additionalProperties: {}
    ClaimRewardGrantExternalId:
      type: object
      properties:
        system:
          type: string
          enum:
            - shopify
            - stripe
        externalId:
          type: string
        externalCodeId:
          type:
            - string
            - 'null'
      required:
        - system
        - externalId
        - externalCodeId
      additionalProperties: false
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````